Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode string

From: Robert Pluim <[email-masked]>
Date: Sun, 27 Oct 2019 09:26:35 +0100

>>>>> On Sat, 26 Oct 2019 02:44:52 -0700, Allen Li <[email-masked]> said:

    >> Hmm. Could you try the following against emacs-26 and see if it fixes
    >> your crash? (the character will almost certainly end up displayed
    >> wrong). This looks more like a fontconfig bug than anything else: the
    >> pattern we've supplied to FcFontList explicitly says "donʼt give me
    >> color fonts".

    Allen> Yep, this fixes the crash and I get the box with unicode codepoint
    Allen> inside.  I don't know anything about fontconfig, so I can't comment on
    Allen> whether this is a fontconfig bug.

Thanks for testing. Iʼll have to write a standalone test case against
fontconfig before I can say whether itʼs a fontconfig bug or not, in
the meantime Iʼll clean up the patch.

Regards

Robert